using System;

namespace WK5.Core.Models.Inventuren
{


    public record InventurBuchungsAnfrage(int UserId, int InventurId, string Regal, string Artikelnummer, decimal Menge, string Seriennummer, string Kommentar, bool IgnoreVpe)
    {
        private string _artikelnummer = Artikelnummer?.ToUpper() ?? String.Empty;

        public string Artikelnummer
        {
            get => _artikelnummer;
            init { _artikelnummer = value?.ToUpper() ?? String.Empty; }
        }
    };
}
